﻿#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QFrame>
#include <QMainWindow>

class PopUpAniStackedWidget;
class QHBoxLayout;

class StackedWidget : public QFrame {
  Q_OBJECT
public:
  StackedWidget(QWidget *parent = nullptr);

  void addWidget(QWidget *widget);

  void setCurrentWidget(QWidget *widget, bool popOut = false);

  void setCurrentIndex(int index, bool popOut = false);

  PopUpAniStackedWidget *view() const;

signals:
  void currentWidgetChanged(QWidget *);

private:
  QHBoxLayout *m_hBoxLayout;
  PopUpAniStackedWidget *m_view;
};

class MainWindow : public QMainWindow {
  Q_OBJECT

public:
  MainWindow(QWidget *parent = nullptr);
  ~MainWindow();
};
#endif // MAINWINDOW_H
